%global realname snappy
%global upstream fdmanana
%global git_tag 80db168
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}


Name:		erlang-%{realname}
Version:	1.0.3
Release:	0.2.git80db168%{?dist}
Summary:	An Erlang NIF wrapper for Google's snappy library
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/fdmanana/snappy-erlang-nif
# wget --content-disposition https://github.com/fdmanana/snappy-erlang-nif/tarball/80db168
Source0:	%{upstream}-%{realname}-erlang-nif-%{git_tag}.tar.gz
Patch1:		erlang-snappy-0001-No-bundled-snappy.patch
BuildRequires:	erlang-rebar
BuildRequires:	snappy-devel
# Error:erlang(erlang:load_nif/2) in R12B or earlier
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}


%description
An Erlang NIF wrapper for Google's snappy compressor/decompressor.


%prep
%setup -q -n %{upstream}-%{realname}-erlang-nif-%{git_tag}
%patch1 -p1 -b .no_bundled_snappy
rm -rf c_src/snappy


%build
rebar compile -v


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/%{realname}.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0755 priv/%{realname}_nif.so %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/


%check
rebar eunit -v


%files
%doc README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nif.so


%changelog
* Sun Oct 07 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.3-0.2.git80db168
- Ensure consistent usage of macros (cosmetic)

* Mon Sep 24 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.3-0.1.git80db168
- initial build
